List account links
curl --request GET \
--url https://inboxapp.com/api/v1/account-links \
--header 'Authorization: Bearer <token>'import requests
url = "https://inboxapp.com/api/v1/account-links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://inboxapp.com/api/v1/account-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "df6jbw4h36...",
"platform": "twitter",
"platformId": "1234567890",
"name": "Acme Agency",
"username": "acme_agency",
"image": "https://example.com/image.png",
"createdAt": "2023-11-07T05:31:56Z",
"status": "active",
"syncedAt": "2023-11-07T05:31:56Z"
}
]Account links
List account links
List all account links for the team
GET
/
account-links
List account links
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
OK
The Inbox ID of the account link.
Pattern:
^[0-9a-z]+$Example:
"df6jbw4h36..."
Available options:
twitter The platform ID of the account link.
Example:
"1234567890"
Example:
"Acme Agency"
Example:
"acme_agency"
Example:
"https://example.com/image.png"
X may periodically sign out your account, in which case it will be marked as offline. An account can get paused if the team is scheduled for deletion or in other circumstances, and is a far less common state that has nothing to do with the X API.
Available options:
active, offline, paused Example:
"active"
When this account was completely synced for the first time.
Was this page helpful?